跳轉到主要內容
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
DEX 池子 - 詳情
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "chain": "sol",
  "createdBlockTimestamp": "2024-01-15T10:30:00.000Z",
  "feeRate": "0.003",
  "image": "https://ipfs.io/ipfs/bafkreid7667676767676767676767676767676767676767676767676767676767676767",
  "liquidityModel": 1,
  "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
  "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
  "protocolFamily": "OrcaWhirpool",
  "protocolName": "OrcaWhirpool AMM V2",
  "tickSpacing": 64,
  "tokenAAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "tokenALiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenBAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
  "tokenBLiquidity": {
    "amountInNative": "5000.123",
    "amountInUsd": "1000000.45",
    "decimals": 6,
    "priceNative": "0.005",
    "priceUsd": "1.0001",
    "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "vaultAmount": "1000000000000"
  },
  "tokenCount": 2,
  "tvlInSol": "1000000.45",
  "tvlInUsd": "1000000.45",
  "type": 1,
  "version": 2
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
poolAddress
string
必填

池子地址

回應

200 - application/json

成功回應

DexPool detail

chain
string
必填

Chain identifier

poolAddress
string
必填

Pool address

tokenAAddress
string
必填

Token A address

tokenBAddress
string
必填

Token B address

createdBlockTimestamp
string | null

Creation block timestamp

creatorAddress
string | null

Pool creator / initialize signer

factoryAddress
string | null

Factory contract address

feeRate
string | null

Fee rate

image
string | null

Image URL

initialTvlInNative
string | null

Initial TVL in native token

initialTvlInUsd
string | null

Initial TVL in USD

liquidityModel
integer<int32> | null

Liquidity model

必填範圍: x >= 0
programAddress
string | null

DEX program address

protocolFamily
string | null

Protocol family

protocolName
string | null

Protocol name

tickSpacing
integer<int64> | null

Tick spacing

token
null | object

Token selected as the display/enrichment row for pair-style pool lists.

tokenALiquidity
null | object

Token A liquidity

tokenBLiquidity
null | object

Token B liquidity

tokenCount
integer<int32> | null

Token count

tvlInSol
string | null

TVL in native token

tvlInUsd
string | null

TVL in USD

type
integer<int32> | null

Pool type

必填範圍: x >= 0
version
integer<int32> | null

Pool version

必填範圍: x >= 0